Package com.logicaldoc.core.folder

# Class FolderListenerManager

java.lang.Object
com.logicaldoc.core.folder.FolderListenerManager

@Component("folderListenerManager") public class FolderListenerManager extends Object
A manager for folder listeners. It's internals are initialized from the extension point 'FolderListener' of the core plugin.

Since:
  8.7.4
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`FolderListenerManager()`

## Method Summary

Modifier and Type
Method
Description
`List<FolderListener>`
`getListeners()`
The ordered list of listeners
`void`
`init()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FolderListenerManager

public FolderListenerManager()

## Method Details

### init

@PostConstruct public void init()

### getListeners

public List<FolderListener> getListeners()
The ordered list of listeners

Returns:
  the list of listeners